package com.hotent.uc.manager;

import com.hotent.base.manager.BaseManager;
import com.hotent.uc.model.CustomUser;

/**
 * 三方接口授权 服务类
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2024-02-28
 */
public interface UcCustomManager extends BaseManager<CustomUser> {
	/**
	 * 根据主键获取详情
	 * @param id
	 * @return
	 */
	CustomUser getDetail(String id);
	/**
	 * 新建、更新三方接口授权
	 * @param ucCustom
	 * @return
	 */
	void createOrUpdate(CustomUser ucCustom);

	CustomUser getByCustomKey(String customKey);
}
